Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMatrixDefinition Class Reference

The class eZMatrixDefinition does. More...

## Public Member Functions
| __construct ()
| decodeClassAttribute ( $xmlString)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| xmlString ()
| addColumn ( $name=false, $id=false)
| removeColumn ( $index)

## Public Attributes
| $ColumnNames

## Detailed Description

The class eZMatrixDefinition does.

Definition at line 18 of file ezmatrixdefinition.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMatrixDefinition::__construct | ( |  | ) |

Constructor

Definition at line 23 of file ezmatrixdefinition.php.

## Member Function Documentation

## ◆ addColumn()

eZMatrixDefinition::addColumn | ( |  | $name = `false`,
|  |  | $id = `false`
| ) |  |

Definition at line 96 of file ezmatrixdefinition.php.

References eZCharTransform\instance().

Referenced by decodeClassAttribute().

## ◆ attribute()

eZMatrixDefinition::attribute | ( |  | $attr | ) |

Definition at line 63 of file ezmatrixdefinition.php.

References $ColumnNames, and eZDebug\writeError().

## ◆ attributes()

eZMatrixDefinition::attributes | ( |  | ) |

Definition at line 53 of file ezmatrixdefinition.php.

Referenced by hasAttribute().

## ◆ decodeClassAttribute()

eZMatrixDefinition::decodeClassAttribute | ( |  | $xmlString | ) |

Definition at line 29 of file ezmatrixdefinition.php.

References addColumn().

## ◆ hasAttribute()

eZMatrixDefinition::hasAttribute | ( |  | $attr | ) |

Definition at line 58 of file ezmatrixdefinition.php.

References attributes().

## ◆ removeColumn()

eZMatrixDefinition::removeColumn | ( |  | $index | ) |

Definition at line 115 of file ezmatrixdefinition.php.

## ◆ xmlString()

eZMatrixDefinition::xmlString | ( |  | ) |

Definition at line 74 of file ezmatrixdefinition.php.

## Member Data Documentation

## ◆ $ColumnNames

eZMatrixDefinition::$ColumnNames

Definition at line 127 of file ezmatrixdefinition.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezmatrixdefinition.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.